org.eclipse.viatra.query.patternlanguage.emf.vql

## Interface VariableReference

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, Expression, org.eclipse.emf.common.notify.Notifier, ValueReference
  All Known Implementing Classes:
    VariableReferenceImpl

      public interface VariableReference
      extends ValueReference

  A representation of the model object 'Variable Reference'.

  The following features are supported:

  - `Aggregator`
  - `Var`
  - `Variable`
  See Also:
    `PatternLanguagePackage.getVariableReference()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getVar()` Returns the value of the 'Var' attribute.
    `Variable` | `getVariable()` Returns the value of the 'Variable' reference.
    `boolean` | `isAggregator()` Returns the value of the 'Aggregator' attribute.
    `void` | `setAggregator(boolean value)` Sets the value of the '`Aggregator`' attribute.
    `void` | `setVar(java.lang.String value)` Sets the value of the '`Var`' attribute.
    `void` | `setVariable(Variable value)` Sets the value of the '`Variable`' reference.
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### isAggregator

          boolean isAggregator()

      Returns the value of the 'Aggregator' attribute.

      If the meaning of the 'Aggregator' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Aggregator' attribute.
      See Also:
        `setAggregator(boolean)`, `PatternLanguagePackage.getVariableReference_Aggregator()`
      Generated:
      Model:

    - #### setAggregator

          void setAggregator(boolean value)

      Sets the value of the '`Aggregator`' attribute.
      Parameters:
        `value` - the new value of the 'Aggregator' attribute.
      See Also:
        `isAggregator()`
      Generated:

    - #### getVar

          java.lang.String getVar()

      Returns the value of the 'Var' attribute.

      Warning! This feature contains the original reference text, not the variable name. For variable name, use the `#variable`/`Variable.getName()` reference chain. This is significant when using anonymous variables (named '_').

      Returns:
        the value of the 'Var' attribute.
      See Also:
        `setVar(String)`, `PatternLanguagePackage.getVariableReference_Var()`
      Generated:
      Model:

    - #### setVar

          void setVar(java.lang.String value)

      Sets the value of the '`Var`' attribute.
      Parameters:
        `value` - the new value of the 'Var' attribute.
      See Also:
        `getVar()`
      Generated:

    - #### getVariable

          Variable getVariable()

      Returns the value of the 'Variable' reference.

      If the meaning of the 'Variable' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Variable' reference.
      See Also:
        `setVariable(Variable)`, `PatternLanguagePackage.getVariableReference_Variable()`
      Generated:
      Model:
        transient="true"

    - #### setVariable

          void setVariable(Variable value)

      Sets the value of the '`Variable`' reference.
      Parameters:
        `value` - the new value of the 'Variable' reference.
      See Also:
        `getVariable()`
      Generated:

    - #### toString

          java.lang.String toString()

      Specified by:
        `toString` in interface `Expression`
      Specified by:
        `toString` in interface `ValueReference`
      Overrides:
        `toString` in class `java.lang.Object`
      Generated:
      Model:
        annotation="http://www.eclipse.org/emf/2002/GenModel body='return org.eclipse.viatra.query.patternlanguage.emf.util.ASTStringProvider.INSTANCE.doSwitch(this);'"